package cn.estsh.i3plus.pojo.base.enumutil;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Description : 软适配 枚举接口
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:34
 * @Modify:
 **/
public class SoftSwitchEnumUtil {

    /**
     * 套件类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum CASE_TYPE{
        SOCKET(1,"SOCKET"),
        RESTFUL(2,"RESTFUL"),
        DATASOURCE(3,"数据源");

        private int value;
        private String description;

        CASE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 请求来源
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum REQUEST_SOURCE{
        ACTIVE(1,"主动请求"),
        SCHEDULE(2,"定时调度");

        private int value;
        private String description;

        REQUEST_SOURCE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 认证方式
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum VERIFICATION_METHOD{
        LOGIN(1,"登录");

        private int value;
        private String description;

        VERIFICATION_METHOD(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 认证类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum KEY_TYPE{
        ACCOUNT_PASSWORD(1,"账号密码");

        private int value;
        private String description;

        KEY_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    //keyTypeId
}
