package cn.estsh.i3plus.pojo.model.softswitch;

import cn.estsh.i3plus.pojo.base.annotation.XStreamCDATA;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.enumutil.ResourceEnumUtil;
import cn.estsh.i3plus.pojo.softswitch.bean.BsSslKey;
import cn.estsh.i3plus.pojo.softswitch.bean.BsSuitCase;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamOmitField;
import lombok.Data;

import javax.persistence.Transient;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 19-7-25 下午3:29
 * @Modify:
 **/
@Data
@XStreamAlias("model")
public class SuitCoreModel {

    /**
     * 适配套件代码
     */
    @XStreamAsAttribute
    private String suitCaseCode;// adapterId

    /**
     * 套件类型
     */
    @XStreamAsAttribute
    private Integer caseType;

    /**
     * 适配结果信息
     */
    private String suitMessage;

    /**
     * 请求来源
     */
    private Integer requestSource;

    private String suitCaseStatusCode;

    /**
     * 适配认证
     */
    private BsSslKey sslKey;

    /**
     * 认证令牌
     */
    private String token;

    /**
     * 适配器套件
     */
    private BsSuitCase bsSuitCase;

    private Object bsSuitCaseDetail;

    /**
     * 认证结果
     */
    private Integer suitSslKeyResult;

    /**
     * 认证信息
     */
    private String suitSslKeyResultMessage;

    /**
     * 适配结果
     */
    private Integer suitResult;

    /**
     * 适配报文
     */
    @XStreamCDATA
    private String suitResultMessage;

    /**
     *
     * @param requestSource 请求来源
     * @param sslKey 适配认证对象
     * @param bsSuitCase 适配器信息
     */
    public SuitCoreModel(Integer requestSource,BsSslKey sslKey, BsSuitCase bsSuitCase) {
        this.sslKey = sslKey;
        this.bsSuitCase = bsSuitCase;
        this.requestSource = requestSource;

        // 设置套件类型
        this.caseType = bsSuitCase.getCaseTypeId();
        // 设置套件代码
        this.suitCaseCode = bsSuitCase.getSuitCaseCode();
        // 设置默认
        this.suitCaseStatusCode = ResourceEnumUtil.MESSAGE.SUCCESS.getCode();
        // 设置默认
        this.suitSslKeyResult = CommonEnumUtil.TRUE_OR_FALSE.TRUE.getValue();
        // 设置默认
        this.suitResult = CommonEnumUtil.TRUE_OR_FALSE.TRUE.getValue();
    }
}



