package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 数据库套件
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_DATA_SOURCE_SUIT_CASE")
@Api(value = "数据库套件", description = "数据库套件")
public class BsDataSourceSuitCase extends BaseBean {

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "套件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitCaseId;

    @Column(name = "DATA_SOURCE_MODE_ID")
    @ApiParam(value = "数据源套件模式（枚举，被动读，主动写）")
    private Integer dataSourceModeId;

    @Column(name = "DATA_SOURCE_CODE")
    @ApiParam(value = "数据源编码")
    private String dataSourceCode;

    @Column(name = "DATA_SOURCE_NAME_RDD")
    @ApiParam(value = "数据源名称")
    private String dataSourceNameRdd;

}

