package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 数据库表操作
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_DATA_SOURCE_SUIT_CASE_TABLE")
@Api(value = "数据库表操作", description = "数据库表操作")
public class BsDataSourceSuitCaseTable extends BaseBean {

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "套件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitCaseId;

    @Column(name = "TABLE_NAME")
    @ApiParam(value = "数据库表名")
    private String tableName;

    @Column(name = "QUERY_SQL")
    @ApiParam(value = "查询sql")
    private String querySql;

    @Column(name = "AFTER_QUERY_SQL")
    @ApiParam(value = "查询后操作sql")
    private String afterQuerySql;

    @Column(name = "INSERT_SQL")
    @ApiParam(value = "插入sql")
    private String insertSql;

    @Column(name = "AFTER_INSERT_SQL")
    @ApiParam(value = "插入后执行sql")
    private String afterInsertSql;

}

