package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 适配认证参数
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SSL_KEY_PARAM")
@Api(value = "适配认证参数", description = "适配认证参数")
@XStreamAlias("BsSslKeyParam")
public class BsSslKeyParam extends BaseBean {

    @Column(name = "SSL_KEY_ID")
    @ApiParam(value = "证书id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long sslKeyId;

    @Column(name = "PARAM_NAME")
    @ApiParam(value = "参数名称")
    private String paramName;

    @Column(name = "PARAM_VALUE")
    @ApiParam(value = "参数值")
    private String paramValue;

    @Column(name = "PARAM_DESCRIPTION")
    @ApiParam(value = "参数描述")
    private String paramDescription;

}
