package cn.estsh.i3plus.pojo.softswitch.sqlpack;

import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.base.tool.HqlPack;
import cn.estsh.i3plus.pojo.softswitch.bean.*;
import org.apache.commons.lang3.StringUtils;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-02-28 16:05
 * @Modify:
 **/
public class SoftSwitchHqlPack {

    /**
     * In 参数封装
     * @param columnName
     * @return
     */
    public static String packHqlIds(String columnName,String[] params){
        StringBuffer result =  new StringBuffer();

        // 参数数组 [1,2,3] -> "1,2,3"
        HqlPack.getInPack(String.join(",",params),columnName,result);
        return result.toString();
    }

    /**
     * 目录查询封装
     * @param testDataBase
     * @return
     */
    public static String packHqlTestDataBase(TestDataBase testDataBase){
        StringBuffer result = new StringBuffer();

        // 查询参数封装
//        HqlPack.getStringLikerPack(testDataBase.getName(),"name",result);

        return result.toString();
    }

    /**
     * 适配套件参数条件封装
     * @param bsSuitCaseParam 查询条件
     * @return
     */
    public static DdlPackBean packHqlBsSuitCaseParam(BsSuitCaseParam bsSuitCaseParam){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getStringLikerPack(bsSuitCaseParam.getParamName(),"paramName",ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsSuitCaseParam.getParamTypeId(), "paramTypeId", ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsSuitCaseParam.getSuitCaseId(), "suitCaseId", ddlPackBean);
        DdlPreparedPack.getStringEqualPack(bsSuitCaseParam.getSuitCaseCodeRdd(),"suitCaseCodeRdd",ddlPackBean);

        ddlPackBean.setOrderByStr(bsSuitCaseParam.orderBy());

        return ddlPackBean;
    }

    /**
     * 适配套件参数唯一校验
     * @param bsSuitCaseParam 适配套件参数信息
     * @return
     */
    public static DdlPackBean packHqlCheckBsSuitCaseParamOnly(BsSuitCaseParam bsSuitCaseParam){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getNumNOEqualPack(bsSuitCaseParam.getId(),"id",ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsSuitCaseParam.getSuitCaseId(), "suitCaseId", ddlPackBean);
        DdlPreparedPack.getStringLikerPack(bsSuitCaseParam.getParamName(),"paramName",ddlPackBean);

        return ddlPackBean;
    }

    /**
     * 适配套件条件封装
     * @param bsSuitCase 查询条件
     * @return
     */
    public static DdlPackBean packHqlBsSuitCaseParam(BsSuitCase bsSuitCase){
        DdlPackBean ddlPackBean = new DdlPackBean();

//        DdlPreparedPack.getStringLikerPack(bsSuitCase.getSuitCaseCode(),"suitCaseCode",ddlPackBean);
//        DdlPreparedPack.getStringLikerPack(bsSuitCase.getSuitTypeName(),"suitTypeName",ddlPackBean);
//        DdlPreparedPack.getNumEqualPack(bsSuitCase.getParamTypeId(), "paramTypeId", ddlPackBean);
//        DdlPreparedPack.getNumEqualPack(bsSuitCase.getSuitCaseId(), "suitCaseId", ddlPackBean);
//        DdlPreparedPack.getStringEqualPack(bsSuitCase.getSuitCaseCodeRdd(),"suitCaseCodeRdd",ddlPackBean);

        ddlPackBean.setOrderByStr(bsSuitCase.orderBy());

        return ddlPackBean;
    }

    /**
     * 适配套件唯一校验
     * @param bsSuitCase 适配套件信息
     * @return
     */
    public static DdlPackBean packHqlCheckBsSuitCaseOnly(BsSuitCase bsSuitCase){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getNumNOEqualPack(bsSuitCase.getId(),"id",ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsSuitCase.getSuitCaseCode(), "suitCaseCode", ddlPackBean);

        return ddlPackBean;
    }

    /**
     * 数据适配转换规则查询条件封装
     * @param bsParamAdapter 数据适配转换规则
     * @return
     */
    public static DdlPackBean packHqlBsParamAdapter(BsParamAdapter bsParamAdapter){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getNumEqualPack(bsParamAdapter.getSuitCaseId(),"suitCaseId",ddlPackBean);
        DdlPreparedPack.getStringEqualPack(bsParamAdapter.getSuitCaseCode(),"suitCaseCode",ddlPackBean);
        DdlPreparedPack.getStringLikerPack(bsParamAdapter.getSuitCaseNameRdd(),"suitCaseNameRdd",ddlPackBean);
        DdlPreparedPack.getStringLikerPack(bsParamAdapter.getSuitParamNameRdd(), "suitParamNameRdd", ddlPackBean);

        ddlPackBean.setOrderByStr(bsParamAdapter.orderBy());

        return ddlPackBean;
    }

    /**
     * 数据适配装换规则唯一校验
     * @param bsParamAdapter 数据适配转换规则
     * @return
     */
    public static DdlPackBean packHqlCheckBsParamAdapterOnly(BsParamAdapter bsParamAdapter){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getNumEqualPack(bsParamAdapter.getId(), "id", ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsParamAdapter.getSuitCaseId(), "suitCaseId", ddlPackBean);
        DdlPreparedPack.getStringEqualPack(bsParamAdapter.getSuitCaseCode(), "suitCaseCode", ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsParamAdapter.getSuitParamId(), "suitParamId", ddlPackBean);

        return ddlPackBean;
    }

    /**
     * 定时适配任务查询条件封装
     * @param bsSuitSchedule 查询条件
     * @return
     */
    public static DdlPackBean packHqlBsSuitSchedule(BsSuitSchedule bsSuitSchedule){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getStringLikerPack(bsSuitSchedule.getScheduleName(),"scheduleName",ddlPackBean);
        DdlPreparedPack.getStringLikerPack(bsSuitSchedule.getScheduleGroupName(),"scheduleGroupName",ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsSuitSchedule.getSuitCaseId(),"suitCaseId",ddlPackBean);
        DdlPreparedPack.getStringLikerPack(bsSuitSchedule.getSuitCaseNameRdd(),"suitCaseNameRdd",ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsSuitSchedule.getTaskCycleId(),"taskCycleId",ddlPackBean);

        ddlPackBean.setOrderByStr(bsSuitSchedule.orderBy());

        return ddlPackBean;
    }

    /**
     * 定时适配任务唯一校验
     * @param bsSuitSchedule
     * @return
     */
    public static DdlPackBean packHqlCheckBsSuitScheduleOnly(BsSuitSchedule bsSuitSchedule){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getNumEqualPack(bsSuitSchedule.getId(),"id",ddlPackBean);
        DdlPreparedPack.getStringEqualPack(bsSuitSchedule.getScheduleName(),"scheduleName",ddlPackBean);
        DdlPreparedPack.getStringEqualPack(bsSuitSchedule.getScheduleGroupName(),"scheduleGroupName",ddlPackBean);

        return ddlPackBean;
    }

    /**
     * 适配认证查询条件分页
     * @param bsSslKey 查询条件
     * @return
     */
    public static DdlPackBean packHqlBsSslKey(BsSslKey bsSslKey){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getStringEqualPack(bsSslKey.getKeyName(),"keyName",ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsSslKey.getKeyTypeId(),"keyTypeId",ddlPackBean);

        ddlPackBean.setOrderByStr(bsSslKey.orderBy());

        return ddlPackBean;
    }

    /**
     * 适配认证唯一校验
     * @param bsSslKey
     * @return
     */
    public static DdlPackBean packHqlCheckBsSslKeyOnly(BsSslKey bsSslKey){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getNumEqualPack(bsSslKey.getId(),"id",ddlPackBean);
        DdlPreparedPack.getStringEqualPack(bsSslKey.getKeyName(), "keyName", ddlPackBean);

        return ddlPackBean;
    }

    /**
     * 适配认证参数按条件查询
     * @param bsSslKeyParam 查询条件
     * @return
     */
    public static DdlPackBean packHqlBsSslKeyParam(BsSslKeyParam bsSslKeyParam){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getNumEqualPack(bsSslKeyParam.getSslKeyId(), "sslKeyId", ddlPackBean);
        DdlPreparedPack.getStringLikerPack(bsSslKeyParam.getParamName(), "paramName", ddlPackBean);

        ddlPackBean.setOrderByStr(bsSslKeyParam.orderBy());

        return ddlPackBean;
    }

    /**
     * 适配认证参数唯一校验
     * @param bsSslKeyParam
     * @return
     */
    public static DdlPackBean packHqlCheckBsSslKeyParamOnly(BsSslKeyParam bsSslKeyParam){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getNumEqualPack(bsSslKeyParam.getSslKeyId(), "sslKeyId", ddlPackBean);
        DdlPreparedPack.getStringEqualPack(bsSslKeyParam.getParamName(), "paramName", ddlPackBean);

        return ddlPackBean;
    }

    /**
     * 数据源查询条件封装
     * @param bsDataSource
     * @return
     */
    public static DdlPackBean packHqlBsDataSource(BsDataSource bsDataSource){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getStringLikerPack(bsDataSource.getDataSourceName(), "dataSourceName", ddlPackBean);
        DdlPreparedPack.getStringLikerPack(bsDataSource.getDataSourceCode(), "dataSourceCode", ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsDataSource.getDataSourceTypeId(), "dataSourceTypeId", ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsDataSource.getIsValid(), "isValid", ddlPackBean);

        ddlPackBean.setOrderByStr(bsDataSource.orderBy());

        return ddlPackBean;
    }

    /**
     * 数据源唯一校验
     * @param bsDataSource
     * @return
     */
    public static DdlPackBean packHqlCheckBsDataSourceOnly(BsDataSource bsDataSource){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getNumEqualPack(bsDataSource.getId(), "id", ddlPackBean);
        DdlPreparedPack.getStringLikerPack(bsDataSource.getDataSourceCode(), "dataSourceCode", ddlPackBean);

        return ddlPackBean;
    }

}
